package com.ruoyi.common.pay.yst.domain;

import com.alibaba.fastjson2.JSON;
import lombok.Data;

/**
 * 云商通通用请求数据结构
 * 字段	字段类型	必填	字段名称	说明
 * appId	String	是	云商通二代分配的应用ID	如上送服务商应用ID，验证服务商证书
 * spAppId	String 	否	云商通二代分配的服务商应用ID
 * transCode	String	是	接口代码
 * format	String	否	仅支持JSON	json
 * charset	String	是	请求使用的编码格式，utf-8 	UTF-8
 * signType	String	是	商户生成签名字符串所使用的签名
 * 算法类型	比如：SM3withSM2
 * sign	String	是	商户请求参数的签名串
 * transDate	String	是	发送请求的日期，格式"yyyyMMdd"	20240202
 * transTime	String	是	请求时间	141333
 * version	String	是	调用的接口版本	1.0
 * bizData	String	是	请求参数的集合，最大长度不限，除公共参数外所有请求参数都必须放在这个参数中传递，具体参照各产品快速接入文档
 *
 * @author wjh
 * 2024/8/1
 */
@Data
public class YstRequest {

    // 云商通二代分配的应用ID
    private String appId;

    // 云商通二代分配的服务商应用ID
    private String spAppId;

    // 接口代码
    private String transCode;

    // 仅支持JSON
    private String format;

    // 请求使用的编码格式
    private String charset;

    // 商户生成签名字符串所使用的签名算法类型
    private String signType;

    // 签名串
    private String sign;

    // 发送请求的日期，格式"yyyyMMdd"
    private String transDate;

    // 请求时间
    private String transTime;

    // 调用的接口版本
    private String version;

    // 请求参数的集合
    private String bizData;


    @Override
    public String toString()
    {
        return JSON.toJSONString(this);
    }

}
