package com.ruoyi.ss.billEleRecord.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 订单电量记录对象 ss_bill_ele_record
 *
 * @author ruoyi
 * @date 2025-01-04
 */
@Data
public class BillEleRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "订单ID")
    @ApiModelProperty("订单ID")
    private Long billId;

    @Excel(name = "记录时的总用电量(度)")
    @ApiModelProperty("记录时的总用电量(度)")
    private BigDecimal totalEle;

    @Excel(name = "当前时间段用电量(度)")
    @ApiModelProperty("当前时间段用电量(度)")
    private BigDecimal usedEle;

    @Excel(name = "当前时间段电价(元/度)")
    @ApiModelProperty("当前时间段电价(元/度)")
    private BigDecimal price;

    @Excel(name = "当前时间段总电价(元)")
    @ApiModelProperty("当前时间段总电价(元)")
    private BigDecimal totalPrice;

    @Excel(name = "记录时间段(起始)", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("记录时间段(起始)")
    private LocalDateTime timeStart;

    @Excel(name = "记录时间段(结束)", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("记录时间段(结束)")
    private LocalDateTime timeEnd;

    @Excel(name = "记录时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("记录时间")
    private LocalDateTime recordTime;

}
