package com.ruoyi.ss.record.time.service;

import com.ruoyi.ss.record.time.domain.RecordTime;
import com.ruoyi.ss.record.time.domain.RecordTimeQuery;
import com.ruoyi.ss.record.time.domain.RecordTimeVO;

import java.util.List;

/**
 * 设备时长变化记录Service接口
 *
 * @author ruoyi
 * @date 2024-06-06
 */
public interface IRecordTimeService
{
    /**
     * 查询设备时长变化记录
     *
     * @param id 设备时长变化记录主键
     * @return 设备时长变化记录
     */
    public RecordTimeVO selectRecordTimeById(Long id);

    /**
     * 查询设备时长变化记录列表
     *
     * @param recordTime 设备时长变化记录
     * @return 设备时长变化记录集合
     */
    public List<RecordTimeVO> selectRecordTimeList(RecordTimeQuery recordTime);

    /**
     * 新增设备时长变化记录
     *
     * @param recordTime 设备时长变化记录
     * @return 结果
     */
    public int insertRecordTime(RecordTime recordTime);

    /**
     * 修改设备时长变化记录
     *
     * @param recordTime 设备时长变化记录
     * @return 结果
     */
    public int updateRecordTime(RecordTime recordTime);

    /**
     * 批量删除设备时长变化记录
     *
     * @param ids 需要删除的设备时长变化记录主键集合
     * @return 结果
     */
    public int deleteRecordTimeByIds(Long[] ids);

    /**
     * 删除设备时长变化记录信息
     *
     * @param id 设备时长变化记录主键
     * @return 结果
     */
    public int deleteRecordTimeById(Long id);
}
