package com.ruoyi.ss.vip.service.impl;

import com.ruoyi.common.utils.collection.CollectionUtils;
import com.ruoyi.ss.store.domain.StoreVo;
import com.ruoyi.ss.store.service.StoreService;
import com.ruoyi.ss.vip.domain.VipVO;
import com.ruoyi.ss.vip.service.VipAssembler;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;
import java.util.stream.Collectors;

@Service
public class VipAssemblerImpl implements VipAssembler {

    @Autowired
    private StoreService storeService;

    @Override
    public void assembleStoreList(List<VipVO> list) {
        if (CollectionUtils.isEmptyElement(list)) {
            return;
        }

        List<Long> storeIds = list.stream().map(VipVO::getStoreIds).flatMap(Collection::stream).collect(Collectors.toList());
        List<StoreVo> storeList = storeService.selectStoreByIds(storeIds);

        for (VipVO vip : list) {
            List<StoreVo> vipStoreList = storeList.stream()
                .filter(store -> vip.getStoreIds().contains(store.getStoreId()))
                .collect(Collectors.toList());
            vip.setStoreList(vipStoreList);
        }
    }

}
