package com.ruoyi.ss.vipLevel.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.domain.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.math.BigDecimal;
import java.util.List;

/**
 * 会员等级对象 ss_vip_level
 *
 * @author ruoyi
 * @date 2024-12-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class VipLevel extends BaseEntity
{
    private Long id;

    @Excel(name = "商户ID")
    @ApiModelProperty("商户ID")
    @NotNull(message = "商户ID不允许为空", groups = {ValidGroup.Create.class})
    private Long mchId;

    @Excel(name = "等级名称")
    @ApiModelProperty("等级名称")
    @NotBlank(message = "等级名称不允许为空", groups = {ValidGroup.Create.class, ValidGroup.FrontCreate.class})
    private String name;

    @Excel(name = "折扣")
    @ApiModelProperty("折扣")
    @NotNull(message = "折扣不允许为空", groups = {ValidGroup.Create.class, ValidGroup.FrontCreate.class})
    @Min(value = 0, message = "折扣不允许小于0折")
    private BigDecimal discount;

    @Excel(name = "描述文本")
    @ApiModelProperty("描述文本")
    @Size(max = 1000, message = "描述文本长度不能超过1000个字符")
    private String description;

    @Excel(name = "可用店铺ID列表")
    @ApiModelProperty("可用店铺ID列表")
    @NotNull(message = "可用店铺ID列表不允许为空", groups = {ValidGroup.Create.class, ValidGroup.FrontCreate.class})
    private List<Long> storeIds;

}
