package com.ruoyi.ss.vipLevelSku.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.constants.DictTypeConstants;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.domain.ValidGroup;
import com.ruoyi.system.valid.DictValid;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;

/**
 * VIP等级定价对象 ss_vip_level_sku
 *
 * @author ruoyi
 * @date 2025-01-16
 */
@Data
public class VipLevelSku extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "VIP等级ID")
    @ApiModelProperty("VIP等级ID")
    private Long levelId;

    @Excel(name = "价格")
    @ApiModelProperty("价格")
    private BigDecimal price;

    @Excel(name = "时长(天)")
    @ApiModelProperty("时长(天)")
    private Integer time;

    @Excel(name = "描述")
    @ApiModelProperty("描述")
    private String description;

    @Excel(name = "限制类型", readConverterExp = "1=不限制,2=自然周,3=30天")
    @ApiModelProperty("限制类型")
    @NotBlank(message = "限制类型不允许为空", groups = {ValidGroup.Create.class})
    @DictValid(type = DictTypeConstants.VIP_LEVEL_SKU_LIMIT_TYPE, message = "非法的限制类型")
    private String limitType;

    @Excel(name = "限制次数")
    @ApiModelProperty("限制次数")
    private Integer limitCount;

    @Excel(name = "状态", dictType = DictTypeConstants.VIP_LEVEL_SKU_STATUS)
    @ApiModelProperty("状态")
    @NotBlank(message = "状态不允许为空", groups = {ValidGroup.Create.class})
    @DictValid(type =  DictTypeConstants.VIP_LEVEL_SKU_STATUS, message = "非法的状态")
    private String status;

    @Excel(name = "定价名称")
    @ApiModelProperty("定价名称")
    @NotBlank(message = "定价名称不允许为空", groups = {ValidGroup.Create.class})
    private String name;

    @Excel(name = "原价")
    @ApiModelProperty("原价")
    private BigDecimal originalPrice;

}
