package com.ruoyi.ss.vipLevelSku.mapper;

import com.ruoyi.ss.vipLevelSku.domain.VipLevelSku;
import com.ruoyi.ss.vipLevelSku.domain.VipLevelSkuQuery;
import com.ruoyi.ss.vipLevelSku.domain.VipLevelSkuVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * VIP等级定价Mapper接口
 *
 * @author ruoyi
 * @date 2025-01-16
 */
public interface VipLevelSkuMapper
{
    /**
     * 查询VIP等级定价
     *
     * @param id VIP等级定价主键
     * @return VIP等级定价
     */
    VipLevelSkuVO selectVipLevelSkuById(Long id);

    /**
     * 查询VIP等级定价列表
     *
     * @param query VIP等级定价
     * @return VIP等级定价集合
     */
    List<VipLevelSkuVO> selectVipLevelSkuList(@Param("query")VipLevelSkuQuery query);

    /**
     * 新增VIP等级定价
     *
     * @param vipLevelSku VIP等级定价
     * @return 结果
     */
    int insertVipLevelSku(VipLevelSku vipLevelSku);

    /**
     * 修改VIP等级定价
     *
     * @param vipLevelSku VIP等级定价
     * @return 结果
     */
    public int updateVipLevelSku(@Param("data") VipLevelSku vipLevelSku);

    /**
     * 删除VIP等级定价
     *
     * @param id VIP等级定价主键
     * @return 结果
     */
    int deleteVipLevelSkuById(Long id);

    /**
     * 批量删除VIP等级定价
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteVipLevelSkuByIds(@Param("ids") List<Long> ids);

    int batchInsert(@Param("list") List<? extends VipLevelSku> list);
    int batchUpdate(@Param("list") List<? extends VipLevelSku> list);
}
