package com.ruoyi.ss.vipOrder.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * 会员下单DTO
 * @author wjh
 * 2025/1/17
 */
@Data
public class AddPayVipOrderDTO {

    @ApiModelProperty("实付金额")
    @NotNull(message = "实付金额不能为空")
    @Min(value = 0, message = "实付金额不能小于0")
    private BigDecimal amount;

    @ApiModelProperty("支付渠道ID")
    @NotNull(message = "支付渠道不能为空")
    private Long channelId;

    @ApiModelProperty("会员等级skuId")
    @NotNull(message = "会员等级定价不能为空")
    private Long skuId;

    @ApiModelProperty("sku购买时长")
    @NotNull(message = "sku购买时长不能为空")
    private Integer skuTime;

    @ApiModelProperty("sku价格")
    @NotNull(message = "sku价格不能为空")
    private BigDecimal skuPrice;

    @ApiModelProperty("sku限制类型")
    @NotNull(message = "sku限制类型不能为空")
    private String skuLimitType;

    @ApiModelProperty("sku限制次数")
    @NotNull(message = "sku限制次数不能为空")
    private Integer skuLimitCount;

    @ApiModelProperty("VIP等级折扣")
    @NotNull(message = "VIP等级折扣不能为空")
    private BigDecimal levelDiscount;

    @ApiModelProperty("VIP可用店铺列表")
    @NotNull(message = "VIP可用店铺列表不能为空")
    private List<Long> levelStoreIds;

    @ApiModelProperty("出现不兼容时的解决方案")
    private String solution;
}
