package com.ruoyi.web.controller.app;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.ss.vipLevel.domain.enums.VipLevelSolution;
import com.ruoyi.ss.vipOrder.domain.bo.AddPayVipOrderBO;
import com.ruoyi.ss.vipOrder.domain.dto.AddPayVipOrderDTO;
import com.ruoyi.ss.vipOrder.service.VipOrderConverter;
import com.ruoyi.ss.vipOrder.service.VipOrderService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author wjh
 * 2025/1/17
 */
@RestController
@RequestMapping("/app/vipOrder")
public class AppVipOrderController extends BaseController {

    @Autowired
    private VipOrderService vipOrderService;

    @Autowired
    private VipOrderConverter vipOrderConverter;

    @ApiOperation("下单并发起支付")
    @PostMapping
    public AjaxResult addAndPay(@RequestBody AddPayVipOrderDTO dto) {
        dto.setSolution(VipLevelSolution.SAME.getCode());
        AddPayVipOrderBO bo = vipOrderConverter.toBO(dto);
        return success(vipOrderService.addAndPay(bo));
    }

}
